(package
  (maintainers "Marc Nieper-Wißkirchen <marc@nieper-wisskirchen.de>")
  (authors "Marc Nieper-Wißkirchen <marc@nieper-wisskirchen.de>")
  (version "0.1.0")
  (license gpl3)
  (library
    (name
      (rapid set))
    (path "rapid/set.sld")
    (depends
      (scheme base)
      (scheme case-lambda)
      (rapid list)
      (rapid receive)
      (rapid generator)
      (rapid comparator)
      (rapid assume)
      (rapid mapping ordered)))
  (library
    (name
      (rapid set-test))
    (path "rapid/set-test.sld")
    (depends
      (scheme base)
      (scheme char)
      (rapid test)
      (rapid comparator)
      (rapid test)
      (rapid set))
    (use-for test))
  (manual "rapid/set.html")
  (description "Sets and bags compatible with SRFI 113.")
  (test "run-tests.scm"))
